SDL_SetGPUViewport(3)

NAME
SDL_SetGPUViewport - Sets the current viewport state on a command buffer.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_SetGPUViewport(
    SDL_GPURenderPass *render_pass,
    const SDL_GPUViewport *viewport);

FUNCTION PARAMETERS

render_pass
    a render pass handle.

viewport
    the viewport to set.

AVAILABILITY
This function is available since SDL 3.2.0.